Package com.independentsoft.office.diagrams

# Class DataModel

java.lang.Object
com.independentsoft.office.diagrams.DataModel

public class DataModel extends Object
The Class DataModel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataModel()`
  Instantiates a new data model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataModel`
  `clone()`
  `BackgroundFormatting`
  `getBackgroundFormatting()`
  Gets the background formatting.
  `List<Connection>`
  `getConnections()`
  Gets the connections.
  `List<Point>`
  `getPoints()`
  Gets the points.
  `Whole`
  `getWhole()`
  Gets the whole.
  `void`
  `setBackgroundFormatting​(BackgroundFormatting backgroundFormatting)`
  Sets the background formatting.
  `void`
  `setWhole​(Whole whole)`
  Sets the whole.
  `String`
  `toString()`
  `String`
  `toXml()`
  To xml.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataModel

    public DataModel()
    Instantiates a new data model.

- ## Method Details

  - ### clone

    public DataModel clone()
    Overrides:
      `clone` in class `Object`

  - ### toXml

    public String toXml()
    To xml.
    Returns:
      the string

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBackgroundFormatting

    public BackgroundFormatting getBackgroundFormatting()
    Gets the background formatting.
    Returns:
      the background formatting

  - ### setBackgroundFormatting

    public void setBackgroundFormatting​(BackgroundFormatting backgroundFormatting)
    Sets the background formatting.
    Parameters:
      `backgroundFormatting` - the new background formatting

  - ### getConnections

    public List<Connection> getConnections()
    Gets the connections.
    Returns:
      the connections

  - ### getPoints

    public List<Point> getPoints()
    Gets the points.
    Returns:
      the points

  - ### getWhole

    public Whole getWhole()
    Gets the whole.
    Returns:
      the whole

  - ### setWhole

    public void setWhole​(Whole whole)
    Sets the whole.
    Parameters:
      `whole` - the new whole